Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes
RC2_Info Struct Reference

_ More...

`#include <rc2.h>`

Inheritance diagram for RC2_Info:

List of all members.

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | DEFAULT_EFFECTIVE_KEYLENGTH = 1024
static const int | MAX_EFFECTIVE_KEYLENGTH = 1024
static const int | BLOCKSIZE
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

_

Definition at line 14 of file rc2.h.

The documentation for this struct was generated from the following file:

- rc2.h